

service: serverless-gitlab-ci

custom:
  stage: ${opt:stage, self:provider.stage}
  NAMES_DYNAMODB_TABLE: greetnames-${self:custom.stage}
  settings:
    dev:
      STAGE: ${self:custom.stage}
    prod:
      STAGE: ${self:custom.stage}

provider:
  name: aws
  runtime: nodejs10.x
  environment: ${self:custom.settings.${self:custom.stage}}


functions:
  hello:
    handler: handler.hello
    events:
      - http:
          path: hello
          method: get
